Bug 105529 - [PATCH]: add WWWDIR macro to bsd.port.mk
Summary: [PATCH]: add WWWDIR macro to bsd.port.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-14 14:40 UTC by Frank J. Laszlo
Modified: 2007-03-25 03:30 UTC (History)
0 users

See Also:


Attachments
bsd.port.mk-WWWDIR.diff (1.63 KB, patch)
2006-11-14 14:40 UTC, Frank J. Laszlo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frank J. Laszlo freebsd_committer 2006-11-14 14:40:00 UTC
	This patch will add a WWWDIR macro to bsd.port.mk, this is a commonly used directory
	that is used in many ports to specify the location to install web files. I have tested
	this patch on several www related ports with great success.
Comment 1 Edwin Groothuis freebsd_committer 2006-11-14 14:40:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk is port manager territory
Comment 2 Kris Kennaway freebsd_committer 2006-11-19 21:18:31 UTC
State Changed
From-To: open->feedback

Can you please also submit a patch converting a representative sample 
of ports to use the new macro?
Comment 3 Frank J. Laszlo freebsd_committer 2006-11-21 15:11:15 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256
 
I have compiled a complete list of ports that currently utilize
WWWDIR. The patches for these ports can be fetch from:
http://people.freebsd.org/~laszlof/patches/WWWDIR
The sub directory `possible_patches` contains additional ports that
would not be adversely affected by the addition of a WWWDIR macro, but
would benefit from being patched for consistency purposes. I have not
tested these patches as of yet, they will be going on my tinderbox
sometime later this week and I will followup with a full report and
associated build logs. Let me know if you need anything further for
your own testing.

- --
- -----------------------------
Frank J. Laszlo
laszlof@FreeBSD.org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (MingW32)
 
iQIVAwUBRWMXEq1QwXwBI2DsAQjtLg/7BC76SHjolQuFhtzknUuPpBJffYnDA+re
VmEFfEKMRpMKsYEgq3BAlMT0e02h+uuh0KM49bx4ln90FXBgqrTvvFWGSNwwCIQU
QOhGpc0Qv0qceb8nTCVko7VgiS2rdAhSFrILpi59BH5woUmygD2T/V69UUogq2W9
xA4oFgdo1hjcU+Rs51FSLXuRFmo6NQhruebEdO+kWNoBjiSSjKgInVj2aike9DUK
EWDO/9uR8PxJEqrgGJUeUg6NmYre6Hv31X/OlIV7T+ILliR/guY2rKh/NvUOKcRv
ZOW7tVC6TCBShNQe1qC6xdXBu7+oPKLtnfTX1dWsTjR9IDYPJchlXJLjK6yisY/g
ha2golOe8BxZtvWB0UNNhGl8hfT7Saj9wGKXpD4trtAiBFwUcldmIAW+LxtxFyqM
rL+9l5BghaPnfLubO+EevYzG9fuaf/1wTpjw6eLa9JVy2UdYixKB0+d4yuXx3SZc
nIC69URRVyHBqnPJQF6T0VCmJQJWOgJlxfu3YOydndB2aqgsBqC5Ix2XOPClf82O
PAmILnQYtzLcY1E4L7cHIMag2Pv0HOEUBzNPmwfkedzLoAnvPzmq0RmY38zmN/Jx
IaQ5Jp8M98VXa7NfdLhEdZNUn/iIPngtL89v9KNv10HTkwPlaHtwa9Yjx4WS3W4h
MKQKVV02ZG4=
=Izpm
-----END PGP SIGNATURE-----
Comment 4 Frank J. Laszlo freebsd_committer 2006-11-24 16:39:43 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Here are the build logs and associated patches for the ports affected by
WWWDIR. There are a couple problems, looks like math/jsmath has other
problems with dependencies, and www/siteframe is marked BROKEN. Let me
know if you wish to see build logs for the other ports which are not
affected by the addition of WWWDIR, but would only be patched for
consistency with other ports.

Port: deskutils/phpicalendar
Patch:
http://people.freebsd.org/~laszlof/patches/WWWDIR/phpicalendar-2.22.diff
Log: http://tb3.droso.net/logs/7-xride/phpicalendar-2.22.log

Port: dns/poweradmin
Patch:
http://people.freebsd.org/~laszlof/patches/WWWDIR/poweradmin-1.2.7.diff
Log: http://tb3.droso.net/logs/7-xride/poweradmin-1.2.7.log

Port: math/jsmath-fonts
Patch:
http://people.freebsd.org/~laszlof/patches/WWWDIR/jsMath-fonts-1.3.diff
Log: http://tb3.droso.net/logs/7-xride/jsMath-fonts-1.3.log

Port: math/jsmath-fonts-sprite
Patch:
http://people.freebsd.org/~laszlof/patches/WWWDIR/jsMath-fonts-sprite-1.0.diff
Log: http://tb3.droso.net/logs/7-xride/jsMath-fonts-sprite-1.0.log

Port: math/jsmath
Patch: http://people.freebsd.org/~laszlof/patches/WWWDIR/jsMath-3.3g.diff
Log: http://tb3.droso.net/errors/7-xride/jsMath-3.3g.log (unassociated
tinderbox error)

Port: net-mgmt/netdisco
Patch: http://people.freebsd.org/~laszlof/patches/WWWDIR/netdisco-0.94.diff
Log: http://tb3.droso.net/logs/7-xride/netdisco-0.94.log

Port: shells/wapsh
Patch: http://people.freebsd.org/~laszlof/patches/WWWDIR/wapsh-1.0.1.diff
Log: http://tb3.droso.net/logs/7-xride/wapsh-1.0.1.log

Port: sysutils/durep
Patch: http://people.freebsd.org/~laszlof/patches/WWWDIR/durep-0.9_1.diff
Log: http://brecht.homeunix.org/logs/i386-7.0-current/durep-0.9_1.log

Port: www/crp
Patch: http://people.freebsd.org/~laszlof/patches/WWWDIR/crp-20031012.diff
Log: http://brecht.homeunix.org/logs/i386-7.0-current/crp-20031012.log

Port: www/drraw
Patch: http://people.freebsd.org/~laszlof/patches/WWWDIR/drraw-2.1.3.diff
Log: http://brecht.homeunix.org/logs/i386-7.0-current/drraw-2.1.3.log

Port: www/iwebcal
Patch: http://people.freebsd.org/~laszlof/patches/WWWDIR/iwebcal-2.1.diff
Log: http://tb3.droso.net/logs/7-xride/iwebcal-2.1.log

Port: www/phpSysInfo
Patch:
http://people.freebsd.org/~laszlof/patches/WWWDIR/phpSysInfo-2.5.1.diff
Log: http://brecht.homeunix.org/logs/i386-7.0-current/phpSysInfo-2.5.1.log

Port: www/quickie
Patch: http://people.freebsd.org/~laszlof/patches/WWWDIR/quickie-1.1_1.diff
Log: http://tb3.droso.net/logs/7-xride/quickie-1.1_1.log

Port: www/siteframe
Patch:
http://people.freebsd.org/~laszlof/patches/WWWDIR/siteframe-5.0.2.diff
Log: BROKEN

Port: www/vtiger
Patch: http://people.freebsd.org/~laszlof/patches/WWWDIR/vtiger-5.0.2_1.diff
Log: http://tb3.droso.net/logs/7-xride/vtiger-5.0.2_1.log

Port: www/vtiger4
Patch: http://people.freebsd.org/~laszlof/patches/WWWDIR/vtiger4-4.2.4.diff
Log: http://tb3.droso.net/logs/7-xride/vtiger4-4.2.4.log

Port: www/xshttpd
Patch:
http://people.freebsd.org/~laszlof/patches/WWWDIR/xshttpd-3.3.g01_1.diff
Log: http://brecht.homeunix.org/logs/i386-7.0-current/xshttpd-3.3.g01_1.log

Port: www/xshttpd-devel
Patch:
http://people.freebsd.org/~laszlof/patches/WWWDIR/xshttpd-devel-3.4.b19.diff
Log:
http://brecht.homeunix.org/logs/i386-7.0-current/xshttpd-devel-3.4.b19.log


- --
- -----------------------------
Frank J. Laszlo
laszlof@FreeBSD.org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (MingW32)

iQIVAwUBRWcgT61QwXwBI2DsAQi5PRAAnLvibxdjFemopbyshihJo5qBtH9yviu1
je7Qlbk9JZ7rU4qMv0RKMfqji28A+mrSFqbeeDPJbdgJV/ZE72yDAxERtPzuEyke
hvsngUBu6vi89UBoorW0+6/9MgYflHmPY5D4TISlC57BfYPy111uMu0GOUW6T1i9
ifzXcK5c17YZ3PT0cVBfn9NHwlSK7JZUjOWo7PuTRt6yQRjYmrHvI0DoHkhlU/Rt
vQe4mvXxORj274xz1BRkVLLn+DVjpi2UH0FAe+jUTmsCme7NTRFdQMrADakE9RGY
c71YKc0ILc2PCZ+zDmFg3SXtcndyTUeRYHlj1kqFFc1C96CJkMYHYbpIlMeCWam/
/7S/8SJZWXGwMU3n/NXJltqQdhzwuXjqEqFpGEpeoErQHrSIwDcrWx0Zdx1h3Xoo
Gt7cZ3s20bfWuvFltSre4Ul+Sz+QbMXBo8uN91GUef4AB15wem596HV8FOHb5zhm
AnGmVcohV3rhE7lm5cS08a0JjydTtZBd8ousgazAaOIh2l06npL4ORvSeL8NxQoH
9SnLRDjvXj8+eeycIo6bNiIYyey8VVi6Ehk2ntnVWyqb8qSYw5q3i0sJJBn2I83G
jpAp/cYKjhmieUWO6HXup7ZG746fZFBfMr9F1RRbFco7Mzi5vZ/ls26PdDq+w9Dj
AhrwJRUzeu4=
=4wbg
-----END PGP SIGNATURE-----
Comment 5 Pav Lucistnik freebsd_committer 2007-03-14 23:12:18 UTC
State Changed
From-To: feedback->open

Patches to individual ports are available. (They are from November, so let's 
see if they're still useful.)
Comment 6 Pav Lucistnik freebsd_committer 2007-03-17 23:48:58 UTC
State Changed
From-To: open->analyzed

This patch is being tested in exprun
Comment 7 dfilter service freebsd_committer 2007-03-24 14:04:41 UTC
pav         2007-03-24 14:04:36 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/phpicalendar Makefile pkg-plist 
    dns/poweradmin       Makefile 
    dns/poweradmin/files pkg-message.in 
    net-mgmt/netdisco    Makefile 
    net-mgmt/netdisco/files patch-netdisco_apache.conf 
                            patch-netdisco_apache_dir.conf 
    shells/wapsh         Makefile pkg-plist 
    shells/wapsh/files   pkg-message.in 
    sysutils/durep       Makefile 
    www/crp              Makefile pkg-message pkg-plist 
    www/drraw            Makefile pkg-plist 
    www/gregarius        Makefile 
    www/iwebcal          Makefile pkg-plist 
    www/phpSysInfo       Makefile 
    www/quickie          Makefile 
    www/siteframe        Makefile 
    www/vtiger           Makefile 
    www/vtiger4          Makefile 
  Log:
  - WWWDIR is now defined in bsd.ports.mk
  
  PR:             ports/105529
  Submitted by:   laszlof
  
  Revision  Changes    Path
  1.9       +0 -5      ports/deskutils/phpicalendar/Makefile
  1.6       +389 -389  ports/deskutils/phpicalendar/pkg-plist
  1.3       +3 -9      ports/dns/poweradmin/Makefile
  1.2       +4 -4      ports/dns/poweradmin/files/pkg-message.in
  1.3       +9 -13     ports/net-mgmt/netdisco/Makefile
  1.2       +4 -4      ports/net-mgmt/netdisco/files/patch-netdisco_apache.conf
  1.2       +2 -2      ports/net-mgmt/netdisco/files/patch-netdisco_apache_dir.conf
  1.17      +5 -10     ports/shells/wapsh/Makefile
  1.3       +2 -12     ports/shells/wapsh/files/pkg-message.in
  1.7       +18 -18    ports/shells/wapsh/pkg-plist
  1.15      +5 -9      ports/sysutils/durep/Makefile
  1.2       +4 -5      ports/www/crp/Makefile
  1.2       +1 -1      ports/www/crp/pkg-message
  1.2       +239 -239  ports/www/crp/pkg-plist
  1.2       +5 -6      ports/www/drraw/Makefile
  1.2       +11 -11    ports/www/drraw/pkg-plist
  1.2       +2 -3      ports/www/gregarius/Makefile
  1.4       +0 -3      ports/www/iwebcal/Makefile
  1.3       +45 -45    ports/www/iwebcal/pkg-plist
  1.20      +6 -10     ports/www/phpSysInfo/Makefile
  1.5       +4 -8      ports/www/quickie/Makefile
  1.8       +1 -2      ports/www/siteframe/Makefile
  1.11      +0 -1      ports/www/vtiger/Makefile
  1.10      +1 -1      ports/www/vtiger4/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Pav Lucistnik freebsd_committer 2007-03-24 15:45:06 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!
Comment 9 Alexander Logvinov 2007-03-24 20:17:50 UTC
Hello!

  How about moving WWWDIR to _PREMKINCLUDED section to allow this:

.include <bsd.port.pre.mk>

do-install:
.if !exists(${WWWDIR}/include/config.inc.php)
=09${INSTALL_DATA} ${WRKSRC}/www/include/config.inc.php.default \
                ${WWWDIR}/include/config.inc.php
.endif

.include <bsd.port.post.mk>


--
WBR
Comment 10 Pav Lucistnik freebsd_committer 2007-03-24 22:09:00 UTC
>   How about moving WWWDIR to _PREMKINCLUDED section to allow this:
> 
> .include <bsd.port.pre.mk>
> 
> do-install:
> .if !exists(${WWWDIR}/include/config.inc.php)
> 	${INSTALL_DATA} ${WRKSRC}/www/include/config.inc.php.default \
>                 ${WWWDIR}/include/config.inc.php
> .endif
> 
> .include <bsd.port.post.mk>

Make sense, but note, that today you can't use DATADIR, DOCSDIR, ... in
that place either. Only PREFIX works.

Feeling like working up a patch and filing a new PR with it, so we can
test it properly?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Every man is as God made him, ay, and often worse.
  -- Miguel de Cervantes
Comment 11 Alexander Logvinov 2007-03-25 03:25:39 UTC
Hello!

Sunday, March 25, 2007, 8:09:00 AM, you wrote:

>> do-install:
>> .if !exists(${WWWDIR}/include/config.inc.php)
>>       ${INSTALL_DATA} ${WRKSRC}/www/include/config.inc.php.default \
>>                 ${WWWDIR}/include/config.inc.php
>> .endif
>> .include <bsd.port.post.mk>
> Make sense, but note, that today you can't use DATADIR, DOCSDIR, ... in
> that place either. Only PREFIX works.
> Feeling like working up a patch and filing a new PR with it, so we can
> test it properly?
 No problem, ports/110781. It was tested on www/lightsquid, comms/atslog (with exists function) without any problems.

--
Best regards,
 Alexander                            mailto:ports@logvinov.com